Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 474963 - F10:compiz-fusion - System freeze enabling compiz effects
Summary: F10:compiz-fusion - System freeze enabling compiz effects
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 10
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-06 03:42 UTC by Daniele Orlando
Modified: 2018-04-11 16:56 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 07:10:54 UTC
Type: ---


Attachments (Terms of Use)
xorg.conf - Manual configuration (1.17 KB, text/plain)
2008-12-09 16:59 UTC, Daniele Orlando
no flags Details
Xorg.0.log.old - Auto Configured - Recovered after the freeze (53.15 KB, text/plain)
2008-12-09 17:02 UTC, Daniele Orlando
no flags Details
Xorg.0.log.old - Manual configured - Recovered after the freeze (69.16 KB, text/plain)
2008-12-09 17:04 UTC, Daniele Orlando
no flags Details
Xorg.0.log - Auto configured (96.98 KB, text/plain)
2008-12-09 17:06 UTC, Daniele Orlando
no flags Details

Description Daniele Orlando 2008-12-06 03:42:03 UTC
Setting
system: Asus A6Va
platform: X86 32
videocard: Ati Mobility Radeon X700 PCIE

Issue
Enabling under Gnome (2.24) and KDE (4.1) the compiz effects (desktop-effects) the system freezes up, using both the auto-configured "ati" driver and the manual-configured "radeon" driver.
The same issue seems to be present on the nVidia cards too.

Packages
compiz-0.7.6-17.fc10.i386
kernel-2.6.27.5-117.fc10.i686
xorg-x11-drivers-7.3-9.fc10.i386
xorg-x11-drv-ati-6.9.0-59.fc10.i386
xorg-x11-server-common-1.5.3-5.fc10.i386
xorg-x11-server-Xorg-1.5.3-5.fc10.i386

Comment 1 Matěj Cepl 2008-12-06 17:42:25 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Matěj Cepl 2008-12-06 17:44:09 UTC
Just to clear one confusion:

[matej@viklef ~]$ ls -lh /usr/lib/xorg/modules/drivers/{ati,radeon}*
-rwxr-xr-x 1 root root 4,9K 27. lis 06.39 .../ati_drv.so
-rwxr-xr-x 1 root root 580K 27. lis 06.39 .../radeon_drv.so
[matej@viklef ~]$ 

ati driver is just a thin shell which loads radeon driver.

Comment 3 Juan J. Cavallaro 2008-12-08 23:44:14 UTC
Any news regarding this bug?

Comment 4 Daniele Orlando 2008-12-09 16:57:09 UTC
I'm sorry if I made you wait.

Thanks for the clarification; I always thought that the ati driver was different from the radeon one (http://ftp.x.org/pub/X11R7.0/doc/html/ati.html).

Anyway, as you required, I attached:
- the log of the automatic configuration in normal condition and during the freeze:
-- Xorg.0.log-auto_configured;
-- Xorg.0.log.old-auto_configured-recovered_after_the_freeze; (ati driver).

- the manual configuration and the log recorded during the freeze:
-- xorg.conf-manual_configured; (explicitly setting the radeon driver)
-- Xorg.0.log.old-manual_configured-recovered_after_the_freeze; (radeon driver)

The xorg.conf file is not available by default because it is auto-configured on the fly.
My xorg.conf file was only an attempt to force the loading of the radeon_drv.so module.

Comment 5 Daniele Orlando 2008-12-09 16:59:07 UTC
Created attachment 326356 [details]
xorg.conf - Manual configuration

Comment 6 Daniele Orlando 2008-12-09 17:02:34 UTC
Created attachment 326358 [details]
Xorg.0.log.old - Auto Configured - Recovered after the freeze

Comment 7 Daniele Orlando 2008-12-09 17:04:07 UTC
Created attachment 326360 [details]
Xorg.0.log.old - Manual configured - Recovered after the freeze

Comment 8 Daniele Orlando 2008-12-09 17:06:14 UTC
Created attachment 326362 [details]
Xorg.0.log - Auto configured

Comment 9 Daniele Orlando 2008-12-10 16:14:01 UTC
I updated the kernel package to kernel-2.6.27.7-134.fc10.i686.

The issue remains.

Comment 11 Hicham HAOUARI 2009-05-10 18:13:20 UTC
This issue have been solved in Fedora 11, however better use the classical workaround; add to kernel line :
nomodoset vga=0x318

This means that KMS will be disabled.

The system hangs because the Radeon Driver is still buggy with KMS.

Hope this will help.

Comment 12 Bug Zapper 2009-11-18 09:38:51 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2009-12-18 07:10:54 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.